package pl.alx.kurs.webview;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.os.Vibrator;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.webkit.WebView;
import android.webkit.WebViewClient;

public class WebViewActivity extends Activity {

    private static final int MENU_RESET = 1;
	private WebView wv;
	Vibrator vibrator;

	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        vibrator = (Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
//        Intent i = new Intent(Intent.ACTION_VIEW);
//        i.setData(Uri.parse("http://alx.pl"));
//        startActivity(i);
        setContentView(R.layout.activity_webview);
        wv = (WebView) findViewById(R.id.webview);
        wv.setWebViewClient(new WebViewClient() {
        	@Override
        	public boolean shouldOverrideUrlLoading(WebView view, String url) {
        		view.loadUrl(url);
        		return true;
        	}
        });
//		wv.loadUrl("http://alx.pl/szkolenia");
//		wv.loadUrl("http://script.aculo.us/");
//		wv.loadUrl("file:///android_asset/strona.html");
		wv.loadUrl("file:///android_asset/index.html");
		wv.addJavascriptInterface(new Object() {
			public void test() {
//				Log.i("test", "jestem!");
				vibrator.vibrate(300);
			}
		}, "zewnetrzny");
		wv.getSettings().setBuiltInZoomControls(true);
		wv.getSettings().setJavaScriptEnabled(true);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        menu.add(0, Menu.FIRST + MENU_RESET, 1, "resetuj");
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
    	if (item.getItemId() == Menu.FIRST + MENU_RESET) {
    		wv.loadUrl("javascript:reset()");
    		return true;
    	}
    	return false;
    }
    
}
